Bug 6403 - GIMP translation is partial for several languages
: GIMP translation is partial for several languages
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: RPM Packages
: 2
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
:
:
:
: UPSTREAM, validated_update
:
: 7351
  Show dependency treegraph
 
Reported: 2012-06-10 21:41 CEST by Tamás Hajdu
Modified: 2012-10-06 18:39 CEST (History)
6 users (show)

See Also:
Source RPM: gimp
CVE:


Attachments
Half-translated GIMP (623.71 KB, image/png)
2012-06-10 21:41 CEST, Tamás Hajdu
Details
nl translation (29.10 KB, image/jpeg)
2012-10-04 03:03 CEST, Eduard Beliaev
Details

Description Tamás Hajdu 2012-06-10 21:41:52 CEST
Created attachment 2445 [details]
Half-translated GIMP

GIMP started in Hungarian locale shows up half translated, as on the attached pictures
Comment 1 Tamás Hajdu 2012-06-18 19:28:01 CEST
Anyone anything?
Comment 2 Manuel Hiebel 2012-06-20 13:39:56 CEST
The upstream po seems complete: http://git.gnome.org/browse/gimp/plain/po/hu.po

Shlomif any ideas ?
Comment 3 Tamás Hajdu 2012-06-20 18:06:02 CEST
updated everything, and I am still experiencing the problem. It is valid on mageia 2 and cauldron. If I can help in anything feel free to ask.
Comment 4 Tamás Hajdu 2012-06-20 18:09:22 CEST
I have quick check the hu.po and yes it seems ok (at least I have found the translations of the untranslated texts).
Comment 5 Shlomi Fish 2012-06-21 20:31:19 CEST
(In reply to comment #2)
> The upstream po seems complete: http://git.gnome.org/browse/gimp/plain/po/hu.po
> 
> Shlomif any ideas ?

I wish I had, but for the life of me I am unable to start gimp in hungarian. So far I've tried:

$ export lc=hu_HU.UTF-8 ; export LC_ALL="$lc" LANG="$lc" LANGUAGE="$lc" ; gimp

Started it with an English User-interface (even after I moved away ~/.gimp-2.8 )

The gimp Edit -> Preferences -> Interface dialogue did not contain Hungarian, and I've ran into this bug with GNOME when trying to add it to the desktop languages: https://bugzilla.gnome.org/show_bug.cgi?id=678567 .

I'm on x86-64 Mageia 2 currently (can also check all that with Mageia Cauldron).

Regards,

-- Shlomi Fish
Comment 6 Shlomi Fish 2012-06-21 21:29:46 CEST
Hi all,

(In reply to comment #5)
> (In reply to comment #2)
> > The upstream po seems complete: http://git.gnome.org/browse/gimp/plain/po/hu.po
> > 
> > Shlomif any ideas ?
> 
> I wish I had, but for the life of me I am unable to start gimp in hungarian. So
> far I've tried:
> 
> $ export lc=hu_HU.UTF-8 ; export LC_ALL="$lc" LANG="$lc" LANGUAGE="$lc" ; gimp
> 
> Started it with an English User-interface (even after I moved away ~/.gimp-2.8
> )

OK, now it works after I added a Hungarian locale to the system, urpme'ed gimp and urpmi'ed it again (turns out some locale files are deleted - thanks to stewb from #mageia for the insights). I am able to reproduce the bug and don't know what causes it off-hand, but I'll try to rebuild the GIMP package and see if the problem lies there.

Regards,

-- Shlomi Fish 

> 
> The gimp Edit -> Preferences -> Interface dialogue did not contain Hungarian,
> and I've ran into this bug with GNOME when trying to add it to the desktop
> languages: https://bugzilla.gnome.org/show_bug.cgi?id=678567 .
> 
> I'm on x86-64 Mageia 2 currently (can also check all that with Mageia
> Cauldron).
> 
> Regards,
> 
> -- Shlomi Fish
Comment 7 Shlomi Fish 2012-06-21 22:41:03 CEST
Here is a log of a conversation on irc://irc.gimp.org/#gimp regarding it:

<rindolf> Hi all. Can anyone shed any light on https://bugs.mageia.org/show_bug.cgi?id=6403 ?
<Wilber> Title: Bug 6403 GIMP translation is partial (hungarian) (at bugs.mageia.org)
<Wilber> Title: GIMP - Downloads (at www.gimp.org)
<mitch> rindolf: yes:
<mitch> 1653 translated messages, 1470 fuzzy translations, 133 untranslated messages.
<mitch> rindolf: has not been updated in ages, translator is to blame
<rindolf> mitch: ah.
<rindolf> mitch: so it's a known issue?
<mitch> no, but we reassign all translation bugs to the translation people
<mitch> well, it's known now that i checked, but incomplete translations are not considered bugs, it's the gnome-i18n team's business

Hope it helps.

Regards,

-- Shlomi Fish
Comment 8 Marja van Waes 2012-07-09 10:45:43 CEST
Same problem exists with at least Bulgarian and Dutch, and at least in Kubuntu and Windows too. There is an upstream bug report https://bugzilla.gnome.org/show_bug.cgi?id=675601

and a Mageia forum thread
https://forums.mageia.org/en/viewtopic.php?f=7&t=2935

Somehow this seems to be related, although I don't understand it https://mail.gnome.org/archives/gnome-i18n/2012-May/msg00029.html
Comment 9 Tamás Hajdu 2012-07-09 11:06:12 CEST
So this is more probably a gimp bug.
Comment 10 Tamás Hajdu 2012-09-27 20:02:08 CEST
On other distros gimp works well in hungarian. Will anything happen to this problem?
Comment 11 Marja van Waes 2012-09-27 20:11:31 CEST
(In reply to comment #10)
> On other distros gimp works well in hungarian. Will anything happen to this
> problem?

which distro's, which versions of those distro's and which gimp versions?
Comment 12 Tamás Hajdu 2012-09-28 16:06:28 CEST
For example, cauldron gimp translation became good with the latest updates. 
Just took a look again on my friend ubuntu (latest stable), but that's gimp 2.6, not 2.8 so I think that not counts.

Still for mageia 2 the bug is present.
Comment 13 Marja van Waes 2012-09-30 11:36:00 CEST
(In reply to comment #12)
> For example, cauldron gimp translation became good with the latest updates. 
> Just took a look again on my friend ubuntu (latest stable), but that's gimp
> 2.6, not 2.8 so I think that not counts.
> 
> Still for mageia 2 the bug is present.

What is your output in Mageia 2 of

rpm -qa | grep gimp

you should be on version 2.8

but then, the fix was maybe in 2.8.2

cc'ing funda, who pushed 2.8.2 in cauldron
Comment 14 Tamás Hajdu 2012-09-30 14:10:01 CEST
this is the output:

lib64gimp2.0_0-2.8.0-1.1.mga2
gimp-help-2-en-2.6.0-3.mga1
gimp-2.8.0-1.1.mga2

So yes it is 2.8, but not 2.8.2
Comment 15 Shlomi Fish 2012-09-30 14:59:55 CEST
(In reply to comment #14)
> this is the output:
> 
> lib64gimp2.0_0-2.8.0-1.1.mga2
> gimp-help-2-en-2.6.0-3.mga1
> gimp-2.8.0-1.1.mga2
> 
> So yes it is 2.8, but not 2.8.2

OK, GIMP 2.8.2 uploaded to Mageia 2's core/updates_testing : http://pkgsubmit.mageia.org/ - please test.

Regards,

-- Shlomi Fish
Comment 16 Frédéric Buclin 2012-09-30 19:10:34 CEST
I guess this also addresses the CVE issues reported in bug 7351?
Comment 17 Marja van Waes 2012-09-30 19:28:21 CEST
(In reply to comment #16)
> I guess this also addresses the CVE issues reported in bug 7351?

There I read that 2.8.1 fixes those issues, so yes
Comment 18 Tamás Hajdu 2012-09-30 23:52:26 CEST
Core release updates repo is enabled, but I still get that the system is up to date, abd it has not updated gimp yet. Am I missing here something or it just the propagation slow to the mirrors?
Comment 19 Marja van Waes 2012-10-01 08:00:17 CEST
(In reply to comment #18)
> Core release updates repo is enabled, but I still get that the system is up to
> date, abd it has not updated gimp yet. Am I missing here something or it just
> the propagation slow to the mirrors?

One of our main mirrors, LinuxCabal.org hasn't updated since Mon Sep 17 16:00:01 2012
That mirror is used by at least a Greek and two Czech mirrors to sync with. When I write this, you can find the affected mirrors by looking for all instances of ftp.LinuxCabal.org on this list http://mirrors.mageia.org/
However, someone asked to remove them, so I'm not sure whether they'll still be visible.

ftp://mageia.webconquest.com/ is a mirror that syncs once an hour and works well for me, even if it is across the ocean
Comment 20 Marja van Waes 2012-10-01 16:40:46 CEST
LinuxCabal.org should be OK now, the owners responded very fast to our mail.
Comment 21 Tamás Hajdu 2012-10-01 16:55:05 CEST
There were repo updates, but still no sign of the new gimp. I hope in a couple of hours it will change...
Comment 22 Marja van Waes 2012-10-01 17:39:23 CEST
(In reply to comment #21)
> There were repo updates, but still no sign of the new gimp. I hope in a couple
> of hours it will change...

it is here: 
ftp://ftp.linuxcabal.org/pub/mirrors/Mageia/distrib/2/x86_64/media/core/updates_testing/gimp-2.8.2-1.1.mga2.x86_64.rpm
Comment 23 Tamás Hajdu 2012-10-01 17:47:28 CEST
I am using ftp.muni.cz which mirrors from linuxcabal and I think that mirroring has not finished yet.
Comment 24 Tamás Hajdu 2012-10-01 20:50:26 CEST
and it's working. Thanks.
Comment 25 Manuel Hiebel 2012-10-01 21:16:38 CEST
reopen as it need to go to the QA (https://wiki.mageia.org/en/Updates_policy)

Tamas Hajdu, can you tell us on which arch you have tested ?


 Suggested Advisory:
-------------
This update addresses the following CVE:
- CVE-2012-3236

fits-io.c in GIMP before 2.8.1 allows remote attackers to cause a denial of service (NULL pointer dereference and application crash) via a malformed XTENSION header of a .fit file, as demonstrated using a long string. 

http://support.novell.com/security/cve/CVE-2012-3236.html


Additionally it fix partial translation in several languages. 

https://bugs.mageia.org/show_bug.cgi?id=6403
-------------

SRPM: gimp-2.8.2-1.1.mga2.src.rpm
Comment 26 Tamás Hajdu 2012-10-02 10:24:16 CEST
It is x86_64
Comment 27 Eduard Beliaev 2012-10-03 00:09:17 CEST
Testing on Mageia 2 i586 with gimp 2.8.2, the Dutch translation is incomplete. The other translations seem fine.
Comment 28 Eduard Beliaev 2012-10-04 03:03:09 CEST
Created attachment 2913 [details]
nl translation
Comment 29 Eduard Beliaev 2012-10-04 03:05:00 CEST
Hi, testing on Mageia 2 x86_64 I have the same issue.

I have uploaded an image for you to see.

If it is ok then the update is ready, right?
Comment 30 Shlomi Fish 2012-10-04 08:45:22 CEST
Hi,

(In reply to comment #29)
> Hi, testing on Mageia 2 x86_64 I have the same issue.
> 
> I have uploaded an image for you to see.
> 
> If it is ok then the update is ready, right?

this is most likely a problem in the upstream translations. We have no control of those (except that someone can volunteer in the upstream project to help translating). In any case, I suggest we push the update even if the translations are partial and GIMP is usable in general, because it contains some security updates.

Regards,

-- Shlomi Fish
Comment 31 claire robinson 2012-10-04 11:12:54 CEST
Could you give an advisory (CVE's, descriptions, references) for any security issues addressed please Shlomi. Thanks.
Comment 32 claire robinson 2012-10-04 11:18:12 CEST
NM sorry, I see it in comment 25.
Comment 33 claire robinson 2012-10-04 11:24:17 CEST
Validating

Advisory:
-------------
This update addresses the following CVE:
- CVE-2012-3236

fits-io.c in GIMP before 2.8.1 allows remote attackers to cause a denial of
service (NULL pointer dereference and application crash) via a malformed
XTENSION header of a .fit file, as demonstrated using a long string. 

http://support.novell.com/security/cve/CVE-2012-3236.html


Additionally it fixes partial translations in several languages. 

https://bugs.mageia.org/show_bug.cgi?id=6403
-------------

SRPM: gimp-2.8.2-1.1.mga2.src.rpm

Could sysadmin please push from core/updates_testing to core/updates

Thanks!
Comment 34 claire robinson 2012-10-04 11:37:13 CEST
mitre link if they are prefered..

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3236
Comment 35 Thomas Backlund 2012-10-06 18:39:16 CEST
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2012-0286

Note You need to log in before you can comment on or make changes to this bug.